### Method

# Panel Widget get_position

#### Declaration [src]

    PanelPosition*
    panel_widget_get_position (
      PanelWidget* self
    )

#### Description [src]

Gets teh position of the widget within the dock.

#### Return value

Returns: | `PanelPosition`
| A `PanelPosition` or `NULL` if the widget isn’t within a `PanelFrame`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.